Debian Bug report logs - #481247
file: thinks shared library is a core file (regression since Etch)

version graph

Package: file; Maintainer for file is Christoph Biedl <debian.axhn@manchmal.in-ulm.de>; Source for file is src:file.

Reported by: "Kevin B. McCarty" <kmccarty@debian.org>

Date: Wed, 14 May 2008 19:30:02 UTC

Severity: serious

Tags: patch

Found in version file/4.24-2

Fixed in versions file/4.24-3.1, file/4.24-4

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cholm@nbi.dk, Daniel Baumann <daniel@debian.org>:
Bug#481247; Package file. Full text and rfc822 format available.

Acknowledgement sent to "Kevin B. McCarty" <kmccarty@debian.org>:
New Bug report received and forwarded. Copy sent to cholm@nbi.dk, Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@debian.org>
To: submit@bugs.debian.org
Subject: file: thinks shared library is a core file (regression since Etch)
Date: Wed, 14 May 2008 12:26:41 -0700
[Message part 1 (text/plain, inline)]
Package: file
Version: 4.24-2
Severity: normal

Hi,

The "file" from Sid thinks that this file:
  http://people.debian.org/~kmccarty/libRuby.so.5.18
is this:

  Linux/i386 core file of '/', dynamically linked, not stripped

when in fact it is actually a normal (unstripped) i386 shared library.

The version of file in Etch (4.17-5etch3) gets it right:

  ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), not stripped

Please fix -- this mis-detection causes dh_strip to skip over this file
(which is built as part of a Debian package I am sponsoring -- the
maintainer is in X-Debbugs-CC), and also causes Lintian to output a
spurious error on it.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-6-k7 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages file depends on:
ii  libc6                         2.7-11     GNU C Library: Shared
ii  libmagic1                     4.24-2     File type determination

file recommends no packages.

-- no debconf information

Thanks and best regards,

-- 
Kevin B. McCarty <kmccarty@gmail.com>
WWW: http://www.starplot.org/
WWW: http://people.debian.org/~kmccarty/
GPG: public key ID 4F83C751

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#481247; Package file. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #10 received at 481247@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "Kevin B. McCarty" <kmccarty@debian.org>, 481247@bugs.debian.org
Subject: Re: Bug#481247: file: thinks shared library is a core file (regression since Etch)
Date: Wed, 14 May 2008 21:37:12 +0200
Kevin B. McCarty wrote:
> Please fix -- this mis-detection causes dh_strip to skip over this file
> (which is built as part of a Debian package I am sponsoring -- the
> maintainer is in X-Debbugs-CC), and also causes Lintian to output a
> spurious error on it.

I think that I have seen the fix for this already, will commit tomorrow
to git and let you know. Would be nice if you could test it then.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#481247; Package file. Full text and rfc822 format available.

Acknowledgement sent to "Kevin B. McCarty" <kmccarty@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #15 received at 481247@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@debian.org>
To: 481247@bugs.debian.org
Subject: ping re: file bug #481247
Date: Mon, 19 May 2008 18:16:58 -0700
[Message part 1 (text/plain, inline)]
Hi Daniel,

I just want to make sure I did not somehow miss an email from you about
this bug (#481247).  I remember you said you were going to make a
proposed fix for it available when you had a chance.

Thanks and best regards,

-- 
Kevin B. McCarty <kmccarty@gmail.com>
WWW: http://www.starplot.org/
WWW: http://people.debian.org/~kmccarty/
GPG: public key ID 4F83C751

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#481247; Package file. Full text and rfc822 format available.

Acknowledgement sent to "Kevin B. McCarty" <kmccarty@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #20 received at 481247@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@debian.org>
To: control@bugs.debian.org, 481247@bugs.debian.org
Subject: Found another example of this bug; setting severity to "serious"
Date: Thu, 12 Jun 2008 10:15:59 -0700
[Message part 1 (text/plain, inline)]
package file
severity 481247 serious
thanks

Hi Daniel,

I have found another example of a shared library, this one in my
unofficial Geant4 packages, that is affected by bug #481247 in "file".
See: http://people.debian.org/~kmccarty/libG4detector-4.9.so.5

> wisteria (sid)[1]:~% file libG4detector-4.9.so.5
> libG4detector-4.9.so.5: Linux/i386 core file, dynamically linked, not stripped

Given that I've now found two independent examples in only two source
packages that I'm working on, this bug no longer seems to be an unlikely
one-time occurrence, and may very well have already affected software in
the official Debian archive.  (Fortunately I have not found any examples
in my own /lib or /usr/lib directories, but that is far from a complete
sample of the archive.)

Mis-detecting a shared library as a core file causes at least the
following problems that are in violation of Policy:

* dh_strip ignores the shared library in question, causing it to be
  unstripped in the .deb.
* dh_shlibdeps ignores the shared library in question, causing its
  ${shlibs:Depends} package dependencies to never be substituted
  into the .deb's control information.

Also, Lintian produces spurious errors, for instance:

libroot-ruby5.18: pkg-has-shlibs-control-file-but-no-actual-shared-libs
libgeant4-4.9-5: unused-shlib-entry-in-control-file libG4detector-4.9 5

instead of the real errors (no dependency info, unstripped binaries)
that it *should* be finding.

Because the bug can cause Policy violations in packages unrelated to
"file", and it is in addition blocking me from uploading the root-system
package that I am sponsoring, I am raising the severity to serious.

best regards,

-- 
Kevin B. McCarty <kmccarty@gmail.com>
WWW: http://www.starplot.org/
WWW: http://people.debian.org/~kmccarty/
GPG: public key ID 4F83C751

[signature.asc (application/pgp-signature, attachment)]

Severity set to `serious' from `normal' Request was from "Kevin B. McCarty" <kmccarty@debian.org> to control@bugs.debian.org. (Thu, 12 Jun 2008 17:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#481247; Package file. Full text and rfc822 format available.

Acknowledgement sent to Steve Cotton <steve@s.cotton.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #27 received at 481247@bugs.debian.org (full text, mbox):

From: Steve Cotton <steve@s.cotton.clara.co.uk>
To: 481247@bugs.debian.org
Subject: Compiled magic file doesn't match non-compiled file
Date: Thu, 12 Jun 2008 20:32:05 +0100
The compiled magic.mgc file in libmagic1 version 4.24-2 causes
this bug - it doesn't match the uncompiled file.   Recompiling it
solves the bug.

On my PC, both file and libmagic1 are at version 4.24-2.

/usr/share/file# ls -l
total 2148
-rw-r--r-- 1 root root  512370 2008-05-03 13:38 magic
-rw-r--r-- 1 root root 1636608 2008-05-03 13:38 magic.mgc
-rw-r--r-- 1 root root   34833 2008-05-03 13:38 magic.mime

/usr/share/file# file ~/libRuby.so.5.18 
/root/libRuby.so.5.18: Linux/i386 core file of '/', dynamically linked, not stripped

/usr/share/file# rm magic.mgc 
/usr/share/file# file ~/libRuby.so.5.18 
/etc/magic, 4: Warning: using regular magic file `/usr/share/file/magic'
/root/libRuby.so.5.18: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, not stripped

/usr/share/file# file -C
/usr/share/file/magic, 12638: Warning: escaped tab found, use \t instead
/usr/share/file/magic, 12639: Warning: escaped tab found, use \t instead
/usr/share/file# file ~/libRuby.so.5.18 
/root/libRuby.so.5.18: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, not stripped

Steve




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#481247; Package file. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #32 received at 481247@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 481247@bugs.debian.org
Subject: Re: Bug#481247: Compiled magic file doesn't match non-compiled file
Date: Thu, 12 Jun 2008 21:33:38 +0200
Steve Cotton wrote:
> The compiled magic.mgc file in libmagic1 version 4.24-2 causes
> this bug - it doesn't match the uncompiled file.   Recompiling it
> solves the bug.

...which needs some reverting in the makefiles, which i have not yet
uploaded, but will do soon, toghet with other fixes.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#481247; Package file. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #37 received at 481247@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 481247@bugs.debian.org
Subject: file: diff for NMU version 4.24-3.1
Date: Sun, 29 Jun 2008 21:01:42 +0100
[Message part 1 (text/plain, inline)]
tags 481247 + patch
thanks

Hi,

Attached is the diff for my file 4.24-3.1 NMU.
[file-4.24-3.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 29 Jun 2008 20:03:08 GMT) Full text and rfc822 format available.

Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Kevin B. McCarty" <kmccarty@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #44 received at 481247-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 481247-close@bugs.debian.org
Subject: Bug#481247: fixed in file 4.24-3.1
Date: Sun, 29 Jun 2008 20:47:18 +0000
Source: file
Source-Version: 4.24-3.1

We believe that the bug you reported is fixed in the latest version of
file, which is due to be installed in the Debian FTP archive:

file_4.24-3.1.diff.gz
  to pool/main/f/file/file_4.24-3.1.diff.gz
file_4.24-3.1.dsc
  to pool/main/f/file/file_4.24-3.1.dsc
file_4.24-3.1_i386.deb
  to pool/main/f/file/file_4.24-3.1_i386.deb
libmagic-dev_4.24-3.1_i386.deb
  to pool/main/f/file/libmagic-dev_4.24-3.1_i386.deb
libmagic1_4.24-3.1_i386.deb
  to pool/main/f/file/libmagic1_4.24-3.1_i386.deb
python-magic-dbg_4.24-3.1_i386.deb
  to pool/main/f/file/python-magic-dbg_4.24-3.1_i386.deb
python-magic_4.24-3.1_i386.deb
  to pool/main/f/file/python-magic_4.24-3.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 481247@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated file package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Jun 2008 19:32:24 +0000
Source: file
Binary: file libmagic1 libmagic-dev python-magic python-magic-dbg
Architecture: source i386
Version: 4.24-3.1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 file       - Determines file type using "magic" numbers
 libmagic-dev - File type determination library using "magic" numbers (developmen
 libmagic1  - File type determination library using "magic" numbers
 python-magic - File type determination library using "magic" numbers (Python bin
 python-magic-dbg - File type determination library using "magic" numbers (Python bin
Closes: 481247
Changes: 
 file (4.24-3.1) unstable; urgency=low
 .
   * Non-maintainer upload from the Cambridge BSP.
   * Work around bug #488562, that file assumes readdir() will return sorted
     names - instead of compiling magic.mgc from Magdir directly, use the logic
     already in debian/rules to build (the file that will become)
     /usr/share/file/magic, then compile magic.mgc from that. (Closes: #481247)
Checksums-Sha1: 
 7a1fed0e3df544453a752585b3c941c3ccbd45d5 1172 file_4.24-3.1.dsc
 ca930590359b12fe5bada31abc0c8f62224073b5 41383 file_4.24-3.1.diff.gz
 81b4b47bfa5fb984ba17f7c6a1b52a2aaf7b4c77 42112 file_4.24-3.1_i386.deb
 bd0140fdd2f7bac8866b785b3b33207a2de28ff3 354008 libmagic1_4.24-3.1_i386.deb
 631bf6d80d06adbf3a66c31091c4e8bddf6e1e75 78330 libmagic-dev_4.24-3.1_i386.deb
 f15f7e87f253b036f2e70a9a1dd07e9b3c114fed 32144 python-magic_4.24-3.1_i386.deb
 a3c1672c87e11e1a9a7a3b287fff7d5c2b304f6d 26506 python-magic-dbg_4.24-3.1_i386.deb
Checksums-Sha256: 
 555a56ca021a953ae2022a08ac11b64ef4c5a3a56532e5d5c648d7f5aef6a985 1172 file_4.24-3.1.dsc
 6633e0d95109ed1649670bf1ce415ec0f080b0262a59990715c140638c08e0e9 41383 file_4.24-3.1.diff.gz
 63760d21dd294bf3b6f0a12da2f0f561627931716695e1a1a3ee9edffe1e0050 42112 file_4.24-3.1_i386.deb
 e2d32169d922935bf96d882099b3d265585205b3ba5ffa260c785b086a898142 354008 libmagic1_4.24-3.1_i386.deb
 d9782a08168738e99407d5f03bfba75c73ad1edee9a29941e08bd70800a7d558 78330 libmagic-dev_4.24-3.1_i386.deb
 d8ff63992e77a635ed945d1604c34c1e2b52cc40cea6d362a688cb22b29ac48d 32144 python-magic_4.24-3.1_i386.deb
 bbd2bda42f2d3ed2d20abec41ae2eb64328eb478ccf3ae8b70427b4192dbebe3 26506 python-magic-dbg_4.24-3.1_i386.deb
Files: 
 c28bc596cf290d6ff18feb28d1c0e2f3 1172 utils standard file_4.24-3.1.dsc
 00c63c1ff983e6d0db36b42654ea3fc3 41383 utils standard file_4.24-3.1.diff.gz
 a7a3706e3d9e9725716e858068766200 42112 utils standard file_4.24-3.1_i386.deb
 294ba069c6453cb69f6a0b64a1ff303f 354008 libs standard libmagic1_4.24-3.1_i386.deb
 bd16cff92edae122b896d721a848a662 78330 libdevel optional libmagic-dev_4.24-3.1_i386.deb
 17bdb083ae0be0dc4aa0d9f8c54fbf12 32144 python extra python-magic_4.24-3.1_i386.deb
 1554a164628930af3f86a14ff4783fef 26506 python extra python-magic-dbg_4.24-3.1_i386.deb

-----BEGIN PGP SIGNATURE-----

iD8DBQFIZ+k+WSc8zVUw7HYRAgZhAJ9Lt24/MBUB5+9cVYtdCrOjyFQB4gCdEQch
829WPiFx6mmRR664Ng8sERs=
=espx
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Kevin B. McCarty" <kmccarty@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 481247-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 481247-close@bugs.debian.org
Subject: Bug#481247: fixed in file 4.24-4
Date: Tue, 01 Jul 2008 17:02:03 +0000
Source: file
Source-Version: 4.24-4

We believe that the bug you reported is fixed in the latest version of
file, which is due to be installed in the Debian FTP archive:

file_4.24-4.diff.gz
  to pool/main/f/file/file_4.24-4.diff.gz
file_4.24-4.dsc
  to pool/main/f/file/file_4.24-4.dsc
file_4.24-4_i386.deb
  to pool/main/f/file/file_4.24-4_i386.deb
libmagic-dev_4.24-4_i386.deb
  to pool/main/f/file/libmagic-dev_4.24-4_i386.deb
libmagic1_4.24-4_i386.deb
  to pool/main/f/file/libmagic1_4.24-4_i386.deb
python-magic-dbg_4.24-4_i386.deb
  to pool/main/f/file/python-magic-dbg_4.24-4_i386.deb
python-magic_4.24-4_i386.deb
  to pool/main/f/file/python-magic_4.24-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 481247@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated file package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue,  1 Jul 2008 18:46:00 +0200
Source: file
Binary: file libmagic1 libmagic-dev python-magic python-magic-dbg
Architecture: source i386
Version: 4.24-4
Distribution: unstable
Urgency: high
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 file       - Determines file type using "magic" numbers
 libmagic-dev - File type determination library using "magic" numbers (developmen
 libmagic1  - File type determination library using "magic" numbers
 python-magic - File type determination library using "magic" numbers (Python bin
 python-magic-dbg - File type determination library using "magic" numbers (Python bin
Closes: 472856 481247 488742
Changes: 
 file (4.24-4) unstable; urgency=high
 .
   * Adding patch from Jelmer Vernooij <jelmer@samba.org> to add new
     magics for bzr (Closes: #488742).
   * Adding symlinks to /usr/share/misc to conform to the LSB, thanks to
     Matthias Klose <doko@debian.org>.
   * Adding zlibg1-dev to libmagic-dev depends (Closes: #472856).
   * Adding patch to revert upstream change to stop build plain magic
     files. This fixes #481247 correctly now (Closes: #481247).
   * Reverting previous wrong NMU.
Checksums-Sha1: 
 f533162b738942e4a99f01d5f7617344f103ab31 1226 file_4.24-4.dsc
 f8ad7a6a8a5514540f14a09231ebbe15612a4ccd 42056 file_4.24-4.diff.gz
 050d96a8b07037d2bfced62c1fbc33d6b5b83336 42720 file_4.24-4_i386.deb
 e1e4eff6120dee5aa8d84d5bebfac189ed141524 357676 libmagic1_4.24-4_i386.deb
 fe57a863c0135bbb11655deb39e0d8635083270d 79276 libmagic-dev_4.24-4_i386.deb
 05bc334189c2d5d4389ffbe61c99235e0cecb239 32298 python-magic_4.24-4_i386.deb
 7ecd3f7b7391662de0b119e682b2bd7ba2249374 26668 python-magic-dbg_4.24-4_i386.deb
Checksums-Sha256: 
 05f3d5b2c905489d97912ea9c5ba1a150a0155ec6de262f0ec09f39c50bba296 1226 file_4.24-4.dsc
 130aeea3dc0d6724d1b0a66a1196c058dde42c9f2735af6ea6b82ac0ee83b37b 42056 file_4.24-4.diff.gz
 c00c517d042795ae906c4525f1bf90e5a90514cf416b592ebd56aa7e1200d195 42720 file_4.24-4_i386.deb
 3781fae83bf7f0b82d4c0de5117ca097a302ffcf2b8b3ccb6dac47943a94d06c 357676 libmagic1_4.24-4_i386.deb
 051fe1daba56f1975780a25079a4b358137d90631736e0ca68a658e920dd1b91 79276 libmagic-dev_4.24-4_i386.deb
 786c923490a03cf16f3038985aafa07869b008e60abe1d87724eb2290ed5b558 32298 python-magic_4.24-4_i386.deb
 645506598a5c441fa1020a28796ae722eefe82c5ff04a43b93a4e4568f0b7715 26668 python-magic-dbg_4.24-4_i386.deb
Files: 
 5f595191d0e22149fabca210c8504710 1226 utils standard file_4.24-4.dsc
 66ee80bc34a0c827801767a66cc49ce6 42056 utils standard file_4.24-4.diff.gz
 2eb85a81fb0b2b0492b38f00c2eb818b 42720 utils standard file_4.24-4_i386.deb
 fd8aa0b6e5d405416c7252626ca933ba 357676 libs standard libmagic1_4.24-4_i386.deb
 a8d8375b117a28fe259df03c3bb3c253 79276 libdevel optional libmagic-dev_4.24-4_i386.deb
 368aa0b9479dd21f8e00eed4783d00b5 32298 python extra python-magic_4.24-4_i386.deb
 6cf8825336340fc2607646ad9178ddf7 26668 python extra python-magic-dbg_4.24-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhqX/gACgkQ+C5cwEsrK57KqgCdFTPjL0/ETdH93GsVb0kLpYTH
M1sAnjaZ+t2rynOqXXhaWJZ9JOxrnZb3
=gjpg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Jul 2008 07:29:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:25:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.